### Function

# Pango markup_parser_new

since: 1.31.0

#### Declaration [src]

    GMarkupParseContext*
    pango_markup_parser_new (
      gunichar accel_marker
    )

#### Description [src]

Incrementally parses marked-up text to create a plain-text string and an attribute list.

See the Pango Markup docs for details about the supported markup.

If `accel_marker` is nonzero, the given character will mark the character following it as an accelerator. For example, `accel_marker` might be an ampersand or underscore. All characters marked as an accelerator will receive a `PANGO_UNDERLINE_LOW` attribute, and the first character so marked will be returned in `accel_char`, when calling `pango_markup_parser_finish()`. Two `accel_marker` characters following each other produce a single literal `accel_marker` character.

To feed markup to the parser, use `g_markup_parse_context_parse()` on the returned `GMarkupParseContext`. When done with feeding markup to the parser, use `pango_markup_parser_finish()` to get the data out of it, and then use `g_markup_parse_context_free()` to free it.

This function is designed for applications that read Pango markup from streams. To simply parse a string containing Pango markup, the `pango_parse_markup()` API is recommended instead.

Available since: 1.31.0

#### Parameters

`accel_marker`

  Type: `gunichar`

  Character that precedes an accelerator, or 0 for none.

#### Return value

Type: `GMarkupParseContext`

A `GMarkupParseContext` that should be destroyed with `g_markup_parse_context_free()`.

The data is owned by the called function.